namespace :maintenance do
  desc "Activate maintenance mode"
  task :activate do
    on roles(:app) do
      within fetch(:release_path) do
        if test :wp, :core, "is-installed"
          info "Enable Maintenance"
          execute :wp , "maintenance-mode activate"
        end
      end
    end
  end

  desc "Deactivate maintenance mode"
  task :deactivate do
    on roles(:app) do
      within fetch(:release_path) do
        if test :wp, :core, "is-installed"
          info "Disable Maintenance"
          execute :wp , "maintenance-mode deactivate"
        end
      end
    end
  end
end
