namespace :wordpress do
    desc "Build Theme"
    task :database do
        on roles(:app) do
            within fetch(:release_path) do
                info "Install BDD"
                execute "cd #{fetch(:release_path)}/web/app/themes/ullis; wp db create; wp core install --url='https://#{fetch(:application)}.ullisapp.fr' --title='ulliS' --admin_user='interlude' --admin_password='toto' --admin_email='wordpress@interludesante.com'"
            end
        end
    end

    task :build do
        on roles(:app) do
            within fetch(:release_path) do
                info "Install theme dependencies"
                # invoke!("maintenance:activate")
                execute "cd #{fetch(:theme_path)}; composer install --prefer-dist --no-interaction --optimize-autoloader"
                # invoke!("maintenance:deactivate")
            end
        end
    end

    task :activation do
        on roles(:app) do
            within fetch(:release_path) do
                invoke!("maintenance:activate")
                execute "cd #{fetch(:theme_path)}; wp plugin activate 'acf-field-group-composer' 'advanced-custom-fields-pro' 'clean-image-filenames' 'is-legal-doc' 'jwt-auth' 'members' 'query-monitor' 'simple-custom-post-order' 'is-rating' 'ullis-statistics' 'duplicate-post'";
                
                info "activate theme"
                execute "cd #{fetch(:theme_path)}; wp theme activate ullis"

                info "import shared uploads"
                execute "cd #{fetch(:theme_path)}; wp media import /var/www/html/temp/uploads/*.*"

                info "update permalink"
                execute "cd #{fetch(:theme_path)}; wp option update permalink_structure '/%postname%'"
                
                info "install core language"
                execute "cd #{fetch(:theme_path)}; wp language core install fr_FR; wp language core activate fr_FR"
                
                info "update plugin language"
                execute "cd #{fetch(:theme_path)}; wp language plugin update --all"
            
                invoke!("maintenance:deactivate")
            end
        end
    end
    
    task :users do
        on roles(:app) do
            within fetch(:release_path) do
                invoke!("maintenance:activate")
                execute "cd #{fetch(:theme_path)}; wp user create cchabaud cedric@interludesante.com --first_name='Cédric' --last_name='Chabaud' --role='ullis-editor";
                invoke!("maintenance:deactivate")
            end
        end
    end
end
