<?php

/**
 * Put a word in plural if > 1
 *
 * @param int $value
 * @param string $singular
 * @param string $plural
 *
 * @return string
 */
function getPlural($value, $singular, $plural)
{
    if ($value > 1) {
        return $plural;
    }

    return $singular;
}


/**
 * Change the name according to the context allis/ullis.
 *
 * @param array $old
 * @param string $new
 *
 * @return string
 */
function switchFormatName(string $old, string $new)
{
    $plugin_data = get_file_data(IS_STATS_PLUGIN_PATH, ['PluginName' => 'Plugin Name'], 'plugin');

    $plugin_slug = sanitize_key($plugin_data['PluginName']);

    if (strpos($plugin_slug, 'allis')) {
        return $old;
    } else {
        return $new;
    }
}
