<?php

/**
 * This is an example file showcasing how you can add custom Services to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerServicePostType()
{
    $labels = [
        'name'                     => 'Services',
        'singular_name'            => 'Service',
        'menu_name'                => 'Services',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter un nouveau service',
        'edit_item'                => 'Modifier le service',
        'new_item'                 => 'Nouveau service',
        'view_item'                => 'Voir le service',
        'view_items'               => 'Voir les services',
        'search_items'             => 'Rechercher dans les services',
        'not_found'                => 'Aucun service trouvé.',
        'not_found_in_trash'       => 'Aucun service trouvé dans la corbeille',
        'parent_item_colon'        => 'Service parent :',
        'all_items'                => 'Tous les services',
        'archives'                 => 'Archive des services',
        'attributes'               => 'Attributs du service',
        'insert_into_item'         => 'Insérer dans le service',
        'uploaded_to_this_item'    => 'Téléversé sur ce service',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des services',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des services',
        'items_list'               => 'Liste des services',
        'item_published'           => 'Service publié',
        'item_published_privately' => 'Service mis en ligne en privé.',
        'item_reverted_to_draft'   => 'Service reconverti en brouillon.',
        'item_scheduled'           => 'Service planifié.',
        'item_updated'             => 'Service mis à jour.',
        'item_link'                => 'Lien de service',
        'item_link_description'    => 'Un lien vers un service',
    ];
    $args = [
        'label'                 => __('Service', 'flynt'),
        'description'           => __('Service Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 50,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-networking',

    ];
    register_post_type('service', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerServicePostType');
