<?php

/**
 * This is an example file showcasing how you can add custom Réseaux sociaux to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerSocialNetworkPostType()
{
    $labels = [
        'name'                     => 'Réseaux sociaux',
        'singular_name'            => 'Réseaux sociaux',
        'menu_name'                => 'Réseaux sociaux',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter un nouveau réseau social',
        'edit_item'                => 'Modifier le réseau social',
        'new_item'                 => 'Nouveau réseau social',
        'view_item'                => 'Voir le réseau social',
        'view_items'               => 'Voir les réseaux sociaux',
        'search_items'             => 'Rechercher dans les réseaux sociaux',
        'not_found'                => 'Aucun réseau social trouvé.',
        'not_found_in_trash'       => 'Aucun réseau social trouvé dans la corbeille',
        'parent_item_colon'        => 'Réseau social parent :',
        'all_items'                => 'Tous les réseaux sociaux',
        'archives'                 => 'Archive des réseaux sociaux',
        'attributes'               => 'Attributs du réseau social',
        'insert_into_item'         => 'Insérer dans le réseau social',
        'uploaded_to_this_item'    => 'Téléversé sur ce réseau social',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des réseaux sociaux',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des réseaux sociaux',
        'items_list'               => 'Liste des réseaux sociaux',
        'item_published'           => 'Réseau social publié',
        'item_published_privately' => 'Réseau social mis en ligne en privé.',
        'item_reverted_to_draft'   => 'Réseau social reconverti en brouillon.',
        'item_scheduled'           => 'Réseau social planifié.',
        'item_updated'             => 'Réseau social mis à jour.',
        'item_link'                => 'Lien de réseau social',
        'item_link_description'    => 'Un lien vers un réseau social',
    ];
    $args = [
        'label'                 => __('Réseau social', 'flynt'),
        'description'           => __('Réseau social Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 45,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-share',

    ];
    register_post_type('social-network', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerSocialNetworkPostType');
