<?php

use ACFComposer\ACFComposer;
use Flynt\Components;

add_action('Flynt/afterRegisterComponents', function () {
    ACFComposer::registerFieldGroup([
        'name' => 'doctor',
        'title' => 'doctor',
        'style' => 'seamless',
        'fields' =>
        [
		[
			'label' => 'Prénom',
			'name' => 'medecin_firstname',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'wrapper' => [
				'width' => '',
				'class' => '',
				'id' => '',
			],
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		],
		[
			'label' => 'Nom',
			'name' => 'medecin_lastname',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'wrapper' => [
				'width' => '',
				'class' => '',
				'id' => '',
			],
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		],
		[
			'label' => 'Profession',
			'name' => 'medecin_job',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'wrapper' => [
				'width' => '',
				'class' => '',
				'id' => '',
			],
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		],
		[
			'label' => 'Service',
			'name' => 'medecin_service',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'wrapper' => [
				'width' => '',
				'class' => '',
				'id' => '',
			],
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		],
        [
                    'label' => 'Numéros de téléphones',
                    'name' => 'medecin_numbers',
                    'type' => 'repeater',
                    'collapsed' => '',
                    'min' => 0,
                    'max' => 0,
                    'layout' => 'table',
                    'button_label' => 'Ajouter un numéro',
                    'sub_fields' => [
						[
                            'label' => 'Label',
                            'name' => 'medecin_number_label',
                            'type' => 'text'
                        ],
                        [
                            'label' => 'Numéro de téléphone',
                            'name' => 'medecin_number',
                            'type' => 'text',
                            'required' => 1,
                        ],
                    ]
                ],
                [
                    'label' => 'Mails',
                    'name' => 'medecin_mails',
                    'type' => 'repeater',
                    'collapsed' => '',
                    'min' => 0,
                    'max' => 0,
                    'layout' => 'table',
                    'button_label' => 'Ajouter un mail',
                    'sub_fields' => [
						[
                            'label' => 'Label',
                            'name' => 'medecin_mail_label',
                            'type' => 'text'
                        ],
                        [
                            'label' => 'mail',
                            'name' => 'medecin_mail',
                            'type' => 'email',
                            'required' => 1,

                        ],
                    ]
                ],

	],
        'location' => [
            [
                [
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'doctor',
                ],
            ],
        ],
    ]);
});
