<?php

use function Env\env;

add_action('acf/validate_save_post', 'my_acf_validate_save_post');
function my_acf_validate_save_post()
{
    if (isset($_POST['_acf_screen']) && isset($_POST['_acf_screen']) == 'options') {
        $values = $_POST['acf'];
        $arrayOfCodes = array();
        if (isset($values['field_configOption_etablissement_codes'])) {
            foreach ($values['field_configOption_etablissement_codes'] as $rows) {
                foreach ($rows as $key => $value) {
                    array_push($arrayOfCodes, $value);
                }
            }
        }

        $api_auth = env('API_AUTH');
        $etab_id = env('ETAB_ID');
        $url = $api_auth . "/code";
        $result = post($url, array('codes' => $arrayOfCodes, 'ID' => $etab_id));

        $data = json_decode($result);

        if ($data->code == "error") {
            acf_add_validation_error($_POST['acf']['field-600e609de8ab8'], $data->message);
        }
    }
}

function post($url, $postVars = array())
{
    //Transform our POST array into a URL-encoded query string.
    $postStr = http_build_query($postVars);

    //Create an $options array that can be passed into stream_context_create.
    $options = array(
        'http' => array(
            'method' => 'POST', //We are using the POST HTTP method.
            'header' => 'Content-type: application/x-www-form-urlencoded',
            'content' => $postStr, //Our URL-encoded query string.
        ),
    );
    //Pass our $options array into stream_context_create.
    //This will return a stream context resource.
    $streamContext = stream_context_create($options);
    //Use PHP's file_get_contents function to carry out the request.
    //We pass the $streamContext variable in as a third parameter.
    $result = file_get_contents($url, false, $streamContext);

    //If everything went OK, return the response.
    return $result;
}
